Player = Object:extend()

function Player:new(x, y)
	self.x = x or 100
	self.y = y or 200
	speed = 500
	playerImg = love.graphics.newImage("assets/player.png")
end

function Player:update(dt)
	if love.keyboard.isDown("down", "s") then
		if self.y <= (love.graphics.getHeight() - playerImg:getHeight()) then
			self.y = self.y + speed *dt
		end
	elseif love.keyboard.isDown("up", "w") then	
		if self.y >= 0 then
			self.y = self.y - speed *dt
		end
	end
			
end

function Player:draw(dt)
	love.graphics.draw(playerImg, self.x, self.y)
end